<?php

namespace src\inputs;

use src\traits\CreateParams;

class TextInput
{

    use CreateParams;
    private string $name;

    private array $paramsArray;

    /**
     * @param string $name
     * @param array $paramsArray
     */
    public function __construct(string $name, array $paramsArray = [])
    {
        $this->name = $name;
        $this->paramsArray = $paramsArray;
    }

    /**
     * @return void
     */
    public function create(): void
    {
        $paramsString = $this->createParams($this->paramsArray);
        echo "<input name='$this->name' $paramsString >";
    }

    /**
     * @param string $name
     * @param array $paramsArray
     * @return void
     */
    public static function build(string $name, array $paramsArray = []): void
    {
        $input = new self($name, $paramsArray);
        $input->create();
    }

}